dpt-forward(1)

NAME
dpt-forward - Forward a bug or a patch upstream

SYNOPSIS
 dpt forward [option...] path/to/some.patch [bug-number]
 dpt forward [option...] bug-number [path/to/some.patch]

OPTIONS

--dist name
-d name
    Distribution name. Determined from META, the "Homepage" field in debian/control file or the "Source" field in debian/copyright, in that order.

--force
    Normally <dpt-forward> checks if the bug/patch is already forwarded upstream and aborts if so. With this option, the check is still done, but execution is not aborted and only a warning is issued.

--meta file
    Specifies the location of the META file. Defaults to META.json or META.yml in the current directory, whichever is found first.

--mode bug|patch
-m bug|patch
    Mode of operation. Should rarely be needed.

    Determines the meaning of the arguments. bug means that the first argument is a bug number, and the second argument is a patch file name. patch means the opposite.

    Determined from the first non-option argument and whether it looks like a bug number or a patch file name.

--offline-test
    All operations that require network are replaced with stubs, allowing for off-line testing.

--ticket number
    If present, the information is submitted to the ticket as an additional comment.

    If missing, a new ticket is created.

--tracker name
-t name
    Tracker used by the distribution. dpt forward currently supports cpan (<http://rt.cpan.org>) and github. The default is determined from the "resources->bugtracker->web" field of META. If that field is not present, cpan is used.

--tracker-url url
-u url
    Tracker URL to submit the information to. Taken from the "resources->bugtracker->web" field of META. Defaults to "https://rt.cpan.org/Public/Dist/Display.html?Name=dist-name" for cpan and is mandatory for github.

AUTHOR

Alessandro Ghedini <ghedo@debian.org>.
Damyan Ivanov <dmn@debian.org>.

LICENSE AND COPYRIGHT

Copyright 2014 Damyan Ivanov.
Copyright 2011 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.